---
layout: mockup
title: "Files - Preferences - Views"
theme: Adwaita/Adwaita.css
permalink: nautilus/preferences/search
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/nautilus.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar grouped" title="Preferences">
		<!-- left button group -->
		<div class="button-group float-left">
		</div>
		<!-- center button group -->
		<div class="button-group float-center wide">
			<div class="view-switcher hide-on-mobile">
				<a class="" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
				><a class="active" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>Search</span></a
				><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
			</div>
		</div>
		<!-- right button group -->
		<div class="button-group float-right"><a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<div class="content">
		<div class="view">
			<div class="row">
				<ul class="listrow">
					<li id="filesSearchPopover" class="medium">
						<div class="label-group">
							<label>Search</label>
							<label class="small-label dim-label">Find files in subfolders</label>
						</div>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="filesSearchStatus">On this computer only</label>
					</li>
					<li id="filesFileCountPopover" class="medium">
						<div class="label-group">
							<label>File Count</label>
							<label class="small-label dim-label">Count number of files in folders</label>
						</div>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="filesFileCountStatus">On this computer only</label>
					</li>
				</ul>
			</div>
		</div>
	</div>
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher">
			<a class="" href="{{ site.baseurl }}/nautilus/preferences/views"><div class="icon s16">{%- include symbolic/actions/view-reveal-symbolic.svg -%}</div><span>Views</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/behavior"><div class="icon s16">{%- include symbolic/apps/preferences-desktop-accessibility-pointing-symbolic.svg -%}</div><span>Behavior</span></a
			><a class="active" href="{{ site.baseurl }}/nautilus/preferences/search"><div class="icon s16">{%- include symbolic/actions/edit-find-symbolic.svg -%}</div><span>Search</span></a
			><a class="" href="{{ site.baseurl }}/nautilus/preferences/thumbnails"><div class="icon s16">{%- include symbolic/mimetypes/image-x-generic-symbolic.svg -%}</div><span>Thumbnails</span></a>
		</div>
	</div>
</div>

<script type="text/javascript">
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="filesSearchStatus($(this).text());">On This Computer Only</li>',
			'<li onclick="filesSearchStatus($(this).text());">All Locations</li>',
			'<li onclick="filesSearchStatus($(this).text());">Never</li>',
		'</ul>'].join('');

	$("#filesSearchPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function filesSearchStatus() {
	$('#filesSearchStatus').text(arguments[0]);
	$("#filesSearchPopover").popover("hide");
}
// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul>',
			'<li onclick="filesFileCountStatus($(this).text());">On This Computer Only</li>',
			'<li onclick="filesFileCountStatus($(this).text());">All Folders</li>',
			'<li onclick="filesFileCountStatus($(this).text());">Never</li>',
		'</ul>'].join('');

	$("#filesFileCountPopover").popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function filesFileCountStatus() {
	$('#filesFileCountStatus').text(arguments[0]);
	$("#filesFileCountPopover").popover("hide");
}
</script>